Subject: Re: bug#65183: 29.1; Child frame moving and resizing problems

From: martin rudalics <[email-masked]>
Date: Fri, 11 Aug 2023 09:06:38 +0200

>> 2. In the code I gave, `set-frame-size' should be executed before `set-frame-position'.
 >> But in fact, the child frame was first moved, and then resized. It is in the wrong order.
 >
 > I don't think you can trust the order in this case, as at least some
 > of the actual move/resize is performed by the window-manager.

... and Emacs only fills its text into the areas provided and exposed by
the window manager.  As a rule, never trust the order of execution in
such case.  Resizing child frames is already tricky enough with GTK3 and
some window managers.  We have the variable 'x-gtk-resize-child-frames'
for that but setting it shouldn't change anything in the case at hand.
Neither should 'x-gtk-use-window-move' help but you can still try.

martin